<div class="title-head"><h2>Image Gallery</h2></div>
<div class="cards">
    @for (item of imageList; track 'id'; let last = $last) {
    <div>
        @if(last) {
        <a class="card" #lastElement>
            <img src="{{item?.download_url}}" class="card__image" alt="" />
            <a routerLink="/detail/{{item.id}}">
                <div class="card__overlay">
                    <div class="card__header">
                        <svg class="card__arc" xmlns="http://www.w3.org/2000/svg">
                            <path />
                        </svg>
                        <img class="card__thumb" src="../../../assets/pngcircle-thumb.png" alt="" />
                        <div class="card__header-text">
                            <h3 class="card__title">{{item.author}}</h3>
                            <span class="card__status">Size :{{item.height}}*{{item.width}}</span>
                        </div>
                    </div>
                    <p class="card__description">Image URL : {{item?.url}}</p>
                </div>
            </a>
        </a>
        }
        @else {
        <a class="card">
            <img src="{{item?.download_url}}" class="card__image" alt="" />
            <a routerLink="/detail/{{item.id}}">
                <div class="card__overlay">
                    <div class="card__header">
                        <svg class="card__arc" xmlns="http://www.w3.org/2000/svg">
                            <path />
                        </svg>
                        <img class="card__thumb" src="../../../assets/pngcircle-thumb.png" alt="" />
                        <div class="card__header-text">
                            <h3 class="card__title">{{item.author}}</h3>
                            <span class="card__status">Size :{{item.height}}*{{item.width}}</span>
                        </div>
                    </div>
                    <p class="card__description">Image URL : {{item?.url}}</p>
                </div>
            </a>
        </a>
        }
    </div>
    }
</div>
